## ros-kinetic-flir-ptu-description 0.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(flir_ptu_description)

find_package(catkin REQUIRED COMPONENTS xacro)

catkin_package()

set(FLIR_PTU_DEVEL_SHARE ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION})
file(MAKE_DIRECTORY ${FLIR_PTU_DEVEL_SHARE}/urdf)

xacro_add_xacro_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/urdf/example.urdf.xacro
  ${FLIR_PTU_DEVEL_SHARE}/urdf/example.urdf)
add_custom_target(flir_ptu_example_urdf ALL
  DEPENDS ${FLIR_PTU_DEVEL_SHARE}/urdf/example.urdf)

install(FILES ${FLIR_PTU_DEVEL_SHARE}/urdf/example.urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/urdf)

install(DIRECTORY meshes urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-kinetic-flir-ptu-description (0.2.1-1xenial) xenial; urgency=high

  * Fix missing xacro namespace prefixes
  * Updated PTU mesh geometry (#40 <https://github.com/ros-drivers/flir_ptu/issues/40>)
  * Contributors: Dave Niewinski, Robert Haschke

 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 26 Mar 2021 04:00:00 -0000

ros-kinetic-flir-ptu-description (0.2.0-1xenial) xenial; urgency=high

  * Add pan offset for centering joint based on calibration
  * Update xacro URL to include www to not give warnings from redefinition
  * Fixed spaces, fixed gazebo errors about inertia
  * Revert "Fix gazebo errors"
  * Updated package.xml for my maintainership
  * Fix gazebo errors
  * updated CMakeLists to install new meshes folder
  * added mesh to visual so openrave can view it, added in transmissions
  * Added transmissions and inertial elements for sim
  * Reverse pan joint direction.
    Per #15 <https://github.com/ros-drivers/flir_ptu/issues/15>.
  * Contributors: Allison Thackston, Dash, Devon Ash, DevonAsh, Mike Purvis, Will Baker

 -- Devon Ash <dash@clearpathrobotics.com>  Thu, 21 Jun 2018 04:00:00 -0000

ros-kinetic-flir-ptu-description (0.1.4-1xenial) xenial; urgency=high

  * Fix weird urdf issue with floating tilt joint.
  * Add comments to the example URDF.
  * Contributors: Mike Purvis

 -- Devon Ash <dash@clearpathrobotics.com>  Thu, 17 Jul 2014 04:00:00 -0000

ros-kinetic-flir-ptu-description (0.1.3-1xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Sun, 13 Apr 2014 04:00:00 -0000

ros-kinetic-flir-ptu-description (0.1.2-1xenial) xenial; urgency=high

  * Remove $(find) macro referencing self, since this doesn't work on the first build.
  * Contributors: Mike Purvis

 -- Devon Ash <dash@clearpathrobotics.com>  Sat, 12 Apr 2014 04:00:00 -0000

ros-kinetic-flir-ptu-description (0.1.1-1xenial) xenial; urgency=high

  * Remove urdf as build-time dep.
  * Reverse the pan joint; now tested with real hardware.
  * Contributors: Mike Purvis

 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 11 Apr 2014 04:00:00 -0000

ros-kinetic-flir-ptu-description (0.1.0-1xenial) xenial; urgency=high

  * Completed basic tf tree and model of D46.
  * Contributors: Mike Purvis

 -- Devon Ash <dash@clearpathrobotics.com>  Thu, 10 Apr 2014 04:00:00 -0000

=== debian/control ===
Source: ros-kinetic-flir-ptu-description
Section: misc
Priority: optional
Maintainer: Devon Ash <dash@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-xacro
Homepage: http://wiki.ros.org/flir_ptu_driver
Standards-Version: 3.9.2

Package: ros-kinetic-flir-ptu-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-urdf, ros-kinetic-xacro
Description: URDF description the FLIR PTUs, currently the D46.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-flir-ptu-description//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
